2 qq9001678 qq9001678 于 2016.05.10 09:23 提问

淘宝不支持低版本浏览器,设置了UserAgent也还是提示,奇怪了。

HttpWebRequest sendreq1sessionidpost = WebRequest.Create("https://login.taobao.com/member/login.jhtml") as HttpWebRequest;
sendreq1sessionidpost.Method = "post";
sendreq1sessionidpost.CookieContainer = ShareData.taoCookie;

        sendreq1sessionidpost.ContentType = "application/x-www-form-urlencoded";
        sendreq1sessionidpost.Headers.Add("Pragma", "no-cache");
        sendreq1sessionidpost.Headers.Add("Cache-Control", "no-cache");
        sendreq1sessionidpost.UserAgent = "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_0) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.56 Safari/535.11";



                    UserAgent 试10次可能成功一次,是为什么啊?

                    9次会提示浏览器版本低,但系统也默认了火狐。

                    ![图片说明](http://img.ask.csdn.net/upload/201605/10/1462843327_501725.jpg)
                    但试10次,这UserAgent可能成功一次,,,,晕了。。。

1个回答

qq9001678
qq9001678   2016.05.10 09:26

提示浏览器版本低

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!